## prog.utili
Class SequenzaOrdinata<E extends java.lang.Comparable<? super E>>

    java.lang.Object
      prog.utili.Sequenza<E>
          prog.utili.SequenzaOrdinata<E>

All Implemented Interfaces:
  java.lang.Iterable<E>

    public class SequenzaOrdinata<E extends java.lang.Comparable<? super E>>

extends Sequenza<E>
implements java.lang.Iterable<E>

Le sue istanze rappresentano sequenze ordinate di oggetti di tipo `E` dove `E` implementa `Comparable`, cioč collezioni di oggetti che possono contenere duplicazioni e in cui gli oggetti compaiono in ordine crescente rispetto all'ordinamento definito dal metodo `compareTo` del tipo `E`.

Version:
  2.0
Author:
  Mauro Ferrari, Giovanni Pighizzini

Constructor Summary
`SequenzaOrdinata()` Costruisce una sequenza vuota.
`SequenzaOrdinata(Sequenza<E> s)` Costruisce una sequenza ordinata a partire da una sequenza.

Method Summary
`boolean` `add(E o)` Aggiunge alla sequenza l'oggetto fornito tramite l'argomento mantenendo la sequenza ordinata e restituisce `true`; nel caso come argomento venga fornito `null`, non modifica la sequenza e restituisce `false`.

`static

`<T extends java.lang.Comparable<? super T>> SequenzaOrdinata<T>`

`

`fromSequenza(Sequenza<T> s)`
Restituisce una sequenza ordinata costruita a partire dalla sequenza (i cui elementi devono essere di un tipo ordinabile) fornita come argomento.

`void` `mescola()` Non fa nulla (utile per ridefinire quello della superclasse e non disordinare la sequenza).
`Sequenza<E>` `toSequenza()` Restituisce un oggetto di tipo `Sequenza` che contiene gli elementi presenti nella sequenza ordinata che esegue il metodo; gli elementi compaiono nella sequenza nello stesso ordine in cui compaiono nella sequenza ordinata.

Methods inherited from class prog.utili.Sequenza
`contains, equals, find, isEmpty, iterator, remove, size, toArray, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Iterable
`iterator`

Constructor Detail

### SequenzaOrdinata

    public SequenzaOrdinata()

  Costruisce una sequenza vuota.

### SequenzaOrdinata

    public SequenzaOrdinata(Sequenza<E> s)

  Costruisce una sequenza ordinata a partire da una sequenza.

Method Detail

### add

    public boolean add(E o)

  Aggiunge alla sequenza l'oggetto fornito tramite l'argomento mantenendo la sequenza ordinata e restituisce `true`; nel caso come argomento venga fornito `null`, non modifica la sequenza e restituisce `false`.

  Overrides:
    `add` in class `Sequenza<E extends java.lang.Comparable<? super E>>`
  Parameters:
    `o` - l'oggetto da inserire nella sequenza.
  Returns:
    `true` se il riferimento specificato come argomento č diverso da `null`,`false` altrimenti.

### toSequenza

    public Sequenza<E> toSequenza()

  Restituisce un oggetto di tipo `Sequenza` che contiene gli elementi presenti nella sequenza ordinata che esegue il metodo; gli elementi compaiono nella sequenza nello stesso ordine in cui compaiono nella sequenza ordinata.

  Returns:
    la sequenza che contiene gli stessi elementi presenti nella sequenza ordinata che esegue il metodo.

### mescola

    public void mescola()

  Non fa nulla (utile per ridefinire quello della superclasse e non disordinare la sequenza).

  Overrides:
    `mescola` in class `Sequenza<E extends java.lang.Comparable<? super E>>`

### fromSequenza

    public static <T extends java.lang.Comparable<? super T>> SequenzaOrdinata<T> fromSequenza(Sequenza<T> s)

  Restituisce una sequenza ordinata costruita a partire dalla sequenza (i cui elementi devono essere di un tipo ordinabile) fornita come argomento.

  Parameters:
    `s` - la sequenza a partire dalla quale costruire la sequenza ordinata.
  Returns:
    la sequenza ordinata che contiene gli elementi della sequenza fornita come argomento.